<div class="wrap" id="dk-speakup">

	<div id="icon-dk-speakup" class="icon32"><br /></div>
	<h2><?php echo $page_title; ?></h2>
	<?php if ( $message_update ) echo '<div id="message" class="updated"><p>' . $message_update . '</p></div>'; ?>
	<div id="message" class="updated highlight">
		<p>
		<?php
			$start_tag = '<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=ADP2TPGYEU5NU" id="dk-speakup-donation">';
			$end_tag = '</a>';
			$donate_text = __( 'If you find this plugin useful, please consider %1$s making a donation %2$s to support it\'s development.', 'dk_speakup' );
			printf( $donate_text, $start_tag, $end_tag );
		 ?>
		</p>
	</div>

	<form action="" method="post" id="dk-speakup-settings">
		<?php wp_nonce_field( $nonce ); ?>
		<input type="hidden" name="action" value="<?php echo $action; ?>" />

		<h3><?php _e( 'Admin Display', 'dk_speakup' ); ?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="default_petitions_rows"><?php _e( 'Petitions table shows', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $petitions_rows ); ?>" name="petitions_rows" id="petitions_rows" type="text" class="small-text" /> <?php _e( 'rows', 'dk_speakup' ); ?></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="default_signatures_rows"><?php _e( 'Signatures table shows', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $signatures_rows ); ?>" name="signatures_rows" id="signatures_rows" type="text" class="small-text" /> <?php _e( 'rows', 'dk_speakup' ); ?></td>
			</tr>
		</table>

		<h3><?php _e( 'Petition Display', 'dk_speakup' ); ?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="default_signatures_rows"><?php _e( 'Petition Theme', 'dk_speakup' ); ?></label></th>
				<td>
					<label for="theme-standard" /><input type="radio" name="petition_theme" id="theme-standard" value="standard" <?php if ( $petition_theme == 'standard' ) echo 'checked="checked"'; ?> /> <?php _e( 'Standard theme (default)', 'dk_speakup' ); ?></label>
					<label for="theme-basic" /><input type="radio" name="petition_theme" id="theme-basic" value="basic" <?php if ( $petition_theme == 'basic' ) echo 'checked="checked"'; ?> /> <?php _e( 'Basic theme', 'dk_speakup' ); ?></label>
					<label for="theme-none"><input type="radio" name="petition_theme" id="theme-none" value="none" <?php if ( $petition_theme == 'none' ) echo 'checked="checked"'; ?> /> <?php _e( 'No theme. I will style the petition form myself.', 'dk_speakup' ); ?></label>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="button_text"><?php _e( 'Submit Button Text', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $button_text ); ?>" name="button_text" id="button_text" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="success_message"><?php _e( 'Success Message', 'dk_speakup' ); ?></label></th>
				<td>
					<textarea name="success_message" id="success_message" cols="80" rows="2"><?php echo $success_message; ?></textarea>
					<br /><strong><?php _e( 'Accepted variables:', 'dk_speakup' ); ?></strong> %first_name% &nbsp; %last_name%
					<br /><strong><?php _e( 'Accepted tags:', 'dk_speakup' ); ?></strong> &lt;a&gt; &lt;em&gt; &lt;strong> &lt;p&gt;
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="share_message"><?php _e( 'Share Message', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $share_message ); ?>" name="share_message" id="share_message" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="expiration_message"><?php _e( 'Expiration Message', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $expiration_message ); ?>" name="expiration_message" id="expiration_message" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="already_signed_message"><?php _e( 'Already Signed Message', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $already_signed_message ); ?>" name="already_signed_message" id="already_signed_message" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="optin-default"><?php _e( 'Opt-in Default', 'dk_speakup' ); ?></label></th>
				<td>
					<label for="optin-checked" /><input type="radio" name="optin_default" id="optin-checked" value="checked" <?php if ( $optin == 'checked' ) echo 'checked="checked"'; ?> /> <?php _e( 'Checked', 'dk_speakup' ); ?></label>
					<label for="optin-unchecked" /><input type="radio" name="optin_default" id="optin-unchecked" value="unchecked" <?php if ( $optin == 'unchecked' ) echo 'checked="checked"'; ?> /> <?php _e( 'Unchecked', 'dk_speakup' ); ?></label>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="display_count"><?php _e( 'Display Signature Count', 'dk_speakup' ); ?></label></th>
				<td>
					<label for="display-count-yes" /><input type="radio" name="display_count" id="display-count-yes" value="1" <?php if ( $display_count == '1' ) echo 'checked="checked"'; ?> /> <?php _e( 'Yes', 'dk_speakup' ); ?></label>
					<label for="display-count-no" /><input type="radio" name="display_count" id="display-count-no" value="0" <?php if ( $display_count == '0' ) echo 'checked="checked"'; ?> /> <?php _e( 'No', 'dk_speakup' ); ?></label>
				</td>
			</tr>
		</table>

		<h3><?php _e( 'Confirmation Emails', 'dk_speakup' ); ?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="confirm_email"><?php _e( 'Email From Address', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $confirm_email ); ?>" name="confirm_email" id="confirm_email" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="confirm_subject"><?php _e( 'Email Subject', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $confirm_subject ); ?>" name="confirm_subject" id="confirm_subject" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="confirm_message"><?php _e( 'Confirmation Message', 'dk_speakup' ); ?></label></th>
				<td>
					<textarea name="confirm_message" id="confirm_message" cols="80" rows="3"><?php echo $confirm_message; ?></textarea>
					<br /><strong><?php _e( 'Accepted variables:', 'dk_speakup' ); ?></strong> %first_name% &nbsp; %last_name% &nbsp; %confirmation_link%
				</td>
			</tr>
		</table>

		<h3><?php _e( 'Signature List Display', 'dk_speakup' ); ?></h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="signaturelist_header"><?php _e( 'Signature list header', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $signaturelist_header ); ?>" name="signaturelist_header" id="signaturelist_header" type="text" class="regular-text" /></td>
			</tr>
			<tr valign="top">
				<th scope="row"><label for="signaturelist_rows"><?php _e( 'Signature list shows', 'dk_speakup' ); ?></label></th>
				<td><input value="<?php echo esc_attr( $signaturelist_rows ); ?>" name="signaturelist_rows" id="signaturelist_rows" type="text" class="small-text" /> <?php _e( 'rows (leave blank to show all)', 'dk_speakup' ); ?></td>
			</tr>
		</table>
		<p><input type="submit" name="submit" value="<?php _e( 'Save Changes' ); ?>" class="button-primary" /></p>

	</form>

</div>